Search Instruments By Symbol

View as MarkdownOpen in Claude
Returns a list of contracts based on the search symbol provided as a query param.

Authentication

AuthorizationBearer
SSO bearer token.

Request

This endpoint expects an object.
symbolstringRequired
The ticker symbol, bond issuer type, or company name of the equity you are looking to trade.
secTypeenumOptionalDefaults to STK
Available underlying security types: * `STK` - Represents an underlying as a Stock security type. * `IND` - Represents an underlying as an Index security type. * `BOND` - Represents an underlying as a Bond security type.
Allowed values:
namebooleanOptional
Denotes if the symbol value is the ticker symbol or part of the company's name.
morebooleanOptional
fundbooleanOptional
fund search
fundFamilyConidExstringOptional
patternbooleanOptional
pattern search
referrerstringOptional

Response

An array of objects detailing contract information.
bondidlongOptional
applicable for bonds
conidstringOptional
Contract identifier for the unique contract.
companyHeaderstringOptional

Company Name - Exchange

companyNamestring or nullOptional
Formal name of the company.
symbolstringOptional
Underlying ticker symbol.
descriptionstringOptional
Primary exchange of the contract
restrictedboolean or nullOptional
Returns if the contract is available for trading.
fopstring or nullOptional
Returns a string of dates, separated by semicolons.
optstring or nullOptional
Returns a string of dates, separated by semicolons.
warstring or nullOptional
Returns a string of dates, separated by semicolons.
sectionslist of objectsOptional
issuerslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error